"Aperture beyond 4GB. Ignoring." message when booting

Bug #271070 reported by lirel on 2008-09-16
170
This bug affects 21 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

when booting the intrepid alpha 5 and 6 livecd for amd64 systems the first thing displayed on the screen is:
Aperture beyond 4GB. Ignoring.

in fact the system only has 1,5GB of ram

i will attach dmidecode and cpuinfo to this report as well as a foto of the first line printed

[EDIT by Chris Coulson]

Excerpt from dmesg:

[ 0.004000] Checking aperture...
[ 0.004000] No AGP bridge found
[ 0.004000] Node 0: aperture @ 8480000000 size 32 MB
[ 0.004000] Aperture beyond 4GB. Ignoring.

Links to the information about the reporters system:

Output of "lspci -vvnn" : http://launchpadlibrarian.net/17769726/lspci-vvnn.log
dmesg : http://launchpadlibrarian.net/17769738/dmesg.log
Output of "cat /proc/version_signature": http://launchpadlibrarian.net/17769826/version.log
Output of "dmidecode": http://launchpadlibrarian.net/17665240/dmidecode

[/END EDIT]

lirel (m8r-lcodw5) wrote :
lirel (m8r-lcodw5) wrote :
lirel (m8r-lcodw5) wrote :
Chris Coulson (chrisccoulson) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it without more information.

Please include the following additional information, if you have not already done so (pay attention to lspci's additional options), as required by the Ubuntu Kernel Team:
1. Please include the output of the command "uname -a" in your next response. It should be one, long line of text which includes the exact kernel version you're running, as well as the CPU architecture.
2. Please run the command "dmesg > dmesg.log" after a fresh boot and attach the resulting file "dmesg.log" to this bug report.
3. Please run the command "sudo lspci -vvnn > lspci-vvnn.log" and attach the resulting file "lspci-vvnn.log" to this bug report.

For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeamBugPolicies Thanks in advance!

Changed in linux:
assignee: nobody → chrisccoulson
status: New → Incomplete
lirel (m8r-lcodw5) wrote :

uname -a:
Linux ubuntu 2.6.27-3-generic #1 SMP Wed Sep 10 16:18:52 UTC 2008 x86_64 GNU/Linux

lirel (m8r-lcodw5) wrote :
lirel (m8r-lcodw5) wrote :

lspci dmesg
cat /proc/version_signature > version.log and uname are already from the intrepid alpha 6 amd64 desktop cd

lirel (m8r-lcodw5) wrote :

here are the information you requested.
ask for more if needed.
until then i change the status back to new.
feel free to mark this bug as something like "wontfix" or low priority,
since it is just an annoyance to see this line for the first few seconds while booting and no real error

Changed in linux:
status: Incomplete → New
description: updated

I also get the same message every time I boot. Also amd64, with 2gb of ram.

Changed in linux:
status: New → Confirmed
Changed in linux:
assignee: chrisccoulson → nobody
Chris Coulson (chrisccoulson) wrote :

Thanks. This is nothing to do with RAM size - it's something to do with the GART IOMMU

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Low
status: Confirmed → Triaged
description: updated
description: updated
Thierry Carrez (ttx) wrote :

I used to have that message (amd64, 2Gb of RAM). Today I'm having a slight variation :

[ 0.004000] Checking aperture...
[ 0.004000] No AGP bridge found
[ 0.004000] Node 0: aperture @ 28000000 size 32 MB
[ 0.004000] Aperture pointing to e820 RAM. Ignoring.

I don't know what changed, in both cases I was booting 2.6.27-6.9-generic.

I am getting that variation too from time to time.

Luke Hoersten (lukehoersten) wrote :

I get one of these two messages every boot:
"Aperture Pointing to e820 RAM. Ignoring." or
"Aperture beyond 4gb. Ignoring."

uname -a:
"Linux 2.6.27-7-generic #1 SMP Fri Oct 17 22:24:30 UTC 2008 x86_64 GNU/Linux"

On my Ubuntu Intrepid beta amd64, Thierry Carrez's error message is actualy for me.
Hardware: laptop Asus F3T with last BIOS upgrade.

ikanovo (ikanovo) wrote :

[ 0.004000] Aperture beyond 4GB. Ignoring.

I have the same problem with my Ubuntu Intrepid RC amd64 on my PC...
Hard: MOTHERBOARD : GYGABITE ga-ma69vm-s2 with last BIOS upgrade
             CPU: AMD Athlon 5200+ 64 X2
             RAM 2x 1GB
             HD: 250GB SATA II
PLEASE FIX IT!!!!, Thanks

lirel (m8r-lcodw5) wrote :

same in release 2.6.27-7-generic

I believe importance should be raised on this bug.

It is preventing me and several others from actually booting our computers.

chromatic: so far nobody else here reported problems actually booting. If it prevents you from booting, it is probably better to open a separate bugreport for that.

gsmx (gsmx) wrote :

I can confirm this, it gives "aperture beyond 4gb. Ignoring", but after that it still boots.

Linux 2.6.27-7-generic #1 SMP Thu Oct 30 04:12:22 UTC 2008 x86_64 GNU/Linux

Venci72 (venci72) wrote :

Aperture beyond 4gb. Ignoring. I have same problem in release 2.6.27-7-generic,and I can not find how to fix it. I boot my computer with 2.6.24-21 version.

Rob Whalley (mail-robwhalley) wrote :

I get a similar error when loading up since upgrading to Intrepid from Hardy (goes by a little fast for me to read mind). Checking /var/log/messages it looks similar though:

Checking aperture...
No AGP bridge found
Node 0: aperture @ 20000000 size 32 MB
Mapping aperture over 65536 KB of RAM @ 20000000

System is an AMD 64 with 4GB of RAM. It is not prevented boot up though so is not critical for me. The main reason I'm posting is that I noticed this bug under Hardy:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/203537

This related to the Suspend option ruining the ext3 file system on AMD64 systems. Pretty scary stuff. Now I do recall that the error on bootup made reference to GART IOMMU. In the other bug, it notes that "the kernel option "iommu=soft" fixes this problem".

My question is, are the two bugs related? In other words, in order to resolve the (admittedly very worrying) filesystem corruption bug, does Intrepid ship with 'safe' GART IOMMU kernel options?

tato97 (ta931115) wrote :

I just upgraded to 8.10 from 8.04 and I get the same error:

[0.004000] Aperture beyond 4GB. Ignoring.

System will not boot. I have to reset and boot with kernel 2.6.24-21 generic.

Help with this will be greatly appreciated!

tato97 (ta931115) wrote :

Sorry I forgot to post system info with above message:

description: System memory
          physical id: 0
          size: 1919MiB
     *-cpu
          product: AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
          vendor: Advanced Micro Devices [AMD]
          physical id: 1
          bus info: cpu@0
          size: 2200MHz
          capacity: 2200MHz
          width: 64 bits

nitto (nitto) wrote :

I have the same problem after updating 8.04 to 8.10. In my case the start up hangs until I press a key and continue pressing it for a while, see: http://ge.ubuntuforums.com/showthread.php?p=6079689 .

I don't know if the problems are related.

nitto (nitto) wrote :

I wrote a wrong link, it was http://georgia.ubuntuforums.org/showthread.php?t=966313 .
My kernel is: 2.6.27-7-generic

LucyB (lucybridges) wrote :

Another me too on this bug. I've also upgraded from 8.04 to 8.10 and am unable to boot the2.6.27-7-generic kernel at all and am having to drop back to the 2.6.24-21 generic kernel.

The motherboard is a Jetway M2A692-GDG/VP, with 2GB of RAM and an AMD Athlon(tm) 64 X2 Dual Core Processor 5200+.

LucyB (lucybridges) wrote :

I'm adding the dmesg output as well. I'm happy to provide more information if necessary.

zasq (zasq) wrote :

Hi,
same message on my system - but it starts without problems.

uname -a:
Linux Quetzal 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux

zasq (zasq) wrote :

and lspci-vvnn.log

Venci72 (venci72) wrote :

I still have this report:"[0.004000] Aperture beyond 4GB. Ignoring." when I try to boot with 2.6.27-7-generic.

venci@venci:~$ lspci
00:00.0 Host bridge: ATI Technologies Inc Radeon Xpress 200 (RS480/RS482/RX480/RX482) Chipset - Host bridge (rev 01)
00:02.0 PCI bridge: ATI Technologies Inc RS480 PCI-X Root Port
00:04.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 13)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7300 GT] (rev a1)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
03:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

Venci72 (venci72) wrote :
Download full text (18.3 KiB)

root@venci:/home/venci# lspci -vvnn
00:00.0 Host bridge [0600]: ATI Technologies Inc Radeon Xpress 200 (RS480/RS482/RX480/RX482) Chipset - Host bridge [1002:5951] (rev 01)
 Subsystem: ATI Technologies Inc Radeon Xpress 200 (RS480/RS482/RX480/RX482) Chipset - Host bridge [1002:5951]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
 Latency: 64

00:02.0 PCI bridge [0604]: ATI Technologies Inc RS480 PCI-X Root Port [1002:5a34]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 4 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000d000-0000dfff
 Memory behind bridge: fa000000-fcffffff
 Prefetchable memory behind bridge: d0000000-dfffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
  PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
 Capabilities: [50] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [58] Express (v1) Root Port (Slot-), MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
   ExtTag+ RBE- FLReset-
  DevCtl: Report errors: Correctable+ Non-Fatal+ Fatal+ Unsupported+
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 128 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <64ns, L1 <1us
   ClockPM- Suprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x8, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
  RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
  RootCap: CRSVisible-
  RootSta: PME ReqID 0000, PMEStatus- PMEPending-
 Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
  Address: fee0100c Data: 4149
 Capabilities: [b0] Subsystem: ATI Technologies Inc Device [1002:5951]
 Capabilities: [b8] HyperTransport: MSI Mapping Enable+ Fixed+
 Kernel driver in use: pcieport-driver
 Kernel modules: shpchp

00:04.0 PCI bridge [0604]: ATI Technologies Inc RS480 PCI Bridge [1002:5a36]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 4 bytes
 Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
 I/O behind bridge: 0000e000-0000efff
 Memory behind bridge: fde00000-fdefffff
 Prefetchable memory behind bridge: fdf00000-fdffffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: ...

Scott (harris-sandn) wrote :

I am having the same issue trying to do a clean install of intrepid on 2 systems. Both display the [0.004000] Aperture beyond 4GB. Ignoring. message with different results...

System 1: AMD64 x2 4600+, 2 GB ram. Once the message is displayed, dead in the water no way yet found to get it to boot and continue the installation process. I am stuck still running Hardy.

System 2: AMD64 3400+, 1.5 GB ram. Message is displayed, but installation was successful, and boot process continues. No upgrades have yet fixed the error message.

dlstyley (deaston) wrote :

Same problem here. AMD64 X2 on Ibex.

kwong (1m02math) wrote :

I have the same problem and the boot process stopped after it display "Aperture beyond 4GB. Ignoring."
Then I enter the system by changing back to a older vision of Linux kernel in GRUB menu.

caseyann (boesen) wrote :

I have the same problem "Aperture beyond 4GB. Ignoring."
Just installed and updated Intrepid this morning.

AMD64, 4GB RAM,

I had the same problem when trying to install the Kubuntu 8.10 x86-64 distribution.

The installer (image burned on a cd) opens the language dialog, after selecting the language the "[0.004000] Aperture beyond 4GB. Ignoring." appears on screen and the installation seems to hang. (I didn't try a text mode installation though).

The computer in question was the following...
- Processor Athlon 64 X2 4850E
- Motherboard: Gigabyte GA-MA69VM-S2
- Memory: 2x1GB DDR800 (running on 667MHz dual channel)
- Seagate Barracuda 7200.11 500GB (SATA)
- Maxtor 80GB (PATA, IDE slave)
- Plextor DVD/CDR (PATA, IDE master)
- Graphics card: ATI X800XL (PCI-E)

One thing worth noting might be that the motherboard is supposed to have an integrated graphics chip, but that was disabled from BIOS and the PCI-E card was in use.

Scott (harris-sandn) wrote :

I notice a couple things...

1. My system that hangs also has a Gigabyte GA-MA69VM-S2 motherboard, and I have seen this MOBO mentioned in other areas with reagrds to this bug.

2. I have also disabled onboard video in favor of a PCI-Express card.

3. It is starting to appear that everyone who has the issue that system won't even boot seems to have a multi-core AMD processor.

Jim Louvau (jlouvau) wrote :

I see it here too on an nvidia chipset laptop running Intrepid amd64. I didn't see this under Hardy.

Torqumada (jwhooper) wrote :

I have this problem, but didn't have it under Hardy.

Dual core Atlhon 5200
4.1 gb RAM
ASUS M2R32-MVP motherboard.

The systme boots fine with Intrepid, it's just ignoring the extra RAM at this point.

tato97 (ta931115) wrote :

The list of people affected by this bug continues to grow. It seems last time it was triaged by the Ubuntu Kernel group was back in Sep.

Does anyone knows if this list is being monitored? Is there any progress being made? Any one working on this? Can it be re-triaged to a higher priority?

lirel (m8r-lcodw5) wrote :

it might be frustrating, for you if your system doesn't boot properly.
but initially this was no bug reporting such problems.
please read https://bugs.launchpad.net/ubuntu/+source/linux/+bug/271070/comments/18
it is very likely that the system hangs you get are not connected to this bug and the message is just the last thing you can read.
when reporting a new bug, please read https://wiki.ubuntu.com/KernelTeamBugPolicies first, to net get stuck with simple questions left open.

nitto (nitto) wrote :

For the one who face a freeze too, there is an other useful bug report, bug# 272247

I have the same problem,
It takes a long time to load, then
"starting up...
[ 0.004000] Aperture beyond 4GB. ignoring.
Loading, please wait...

Ubuntu 8.10 pancho-laptop tty1

pancho-laptop login:"

i log in and then i get a whole load of information about my last login, and how ubuntu software is free, and how there is no warranty. then i can enter commands.

When it is loading, the screen turns off and on a couple of times.
I have a compaq presario r4000 amd athlon 64. I recently upgraded to 8.10, but it has been working alright since today, and i cannot turn the laptop on.
I am quite new to ubuntu so don't know what to do.
i have looked around, but cannot find anything.
Pancho

Scott (harris-sandn) wrote :

lirel,

I beg to differ. I have a feeling the people who simply see the error message, and the people who's systems completely hang are likely being affected by the same bug. The difference is the severity of how it affects individual machines, not the bug itself.

As I stated, I have 2 machines, both report the error, one boots, one won't. I doubt it's 2 different bugs affecting them. My machine that won't boot is during a fresh install, so I don't have the "luxury" of simply selecting an older kernel and going on.

tato97 (ta931115) wrote :

I'm fairly new to Ubuntu.

 I read bug report 272247 recommended above by nitto. With my limited understanding of Ubuntu, I didn't see any mention of the problem reported on this tread vs that one. The only similarity is that they are reporting also systems freezing on boot up. Some people are able to boot by adding "hpet=disabled". I don't know where to add this parameter. Can someone please explain where can I add that to test it?

I don't know enough about the software to look at the log files (don't know which ones and where) to understand what is causing my system to stop booting.

lirel - I looked at your provided links. I could try attaching the recommended log files however, I can only boot into kernel 2.6.24-21. I will think the log files will record a normal boot into that kernel and not the one I can't boot into. Maybe I'm wrong. Please let me know and I will try to post those files if you think it will help to trouble shoot this problem.

I don't think this is a simple issue otherwise they wouldn't be so many people complaining on this tread. Also keep in mind a lot of folks, like me, are new to Ubuntu and don't have the technical expertise to trouble shoot or to report the bug in the appropriate place and with the right information.

Again, any help will be appreciated. I really DO NOT want to go back to a Windows o/s.

Thanks!

Scott (harris-sandn) wrote :

I just tested on my 3rd machine, an HP with an AMD64 x2 5000+. I receive the error message with it as well, however booting from the CD continues on this machine.

Kind of blows my hanging occurs on dual core AMD theory. It must be something to do with the Gigabyte GA-MA69VM-S2 motherboard on my one machine that causes the actual hang. I haven't exhaustively gone through the BIOS settings yet, but so far none has managed to allow this machine to continue loading from the CD.

Rene (yositunel) wrote :
Download full text (9.2 KiB)

Same problem here. Here's my hardware information using the command dmidecode

# sudo dmidecode

# dmidecode 2.9
SMBIOS 2.4 present.
36 structures occupying 1206 bytes.
Table at 0xBFEE3000.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
 Vendor: Phoenix Technologies LTD
 Version: V1.01
 Release Date: 09/03/2008
 Address: 0xE3A90
 Runtime Size: 116080 bytes
 ROM Size: 1024 kB
 Characteristics:
  PCI is supported
  PNP is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  ESCD support is available
  Boot from CD is supported
  Selectable boot is supported
  BIOS ROM is socketed
  EDD is supported
  Print screen service is supported (int 5h)
  8042 keyboard services are supported (int 9h)
  Serial services are supported (int 14h)
  Printer services are supported (int 17h)
  CGA/mono video services are supported (int 10h)
  ACPI is supported
  USB legacy is supported
  BIOS boot specification is supported
  Targeted content distribution is supported

Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: eMachines
 Product Name: eMachines D620
 Version: 0100
 Serial Number: LXN230Y046841B36A22200
 UUID: 46552D20-955C-11DD-B3A4-89425EC66592
 Wake-up Type: Power Switch
 SKU Number: Not Specified
 Family: Not Specified

Handle 0x0002, DMI type 2, 8 bytes
Base Board Information
 Manufacturer: eMachines
 Product Name: eMachines D620
 Version: Rev
 Serial Number: LXN230Y046841B36A22200

Handle 0x0003, DMI type 3, 17 bytes
Chassis Information
 Manufacturer: eMachines
 Type: Other
 Lock: Not Present
 Version: None
 Serial Number: None
 Asset Tag: None
 Boot-up State: Unknown
 Power Supply State: Unknown
 Thermal State: Unknown
 Security Status: Unknown
 OEM Information: 0x00000000

Handle 0x0004, DMI type 4, 35 bytes
Processor Information
 Socket Designation: Socket M2/S1G1
 Type: Central Processor
 Family: Other
 Manufacturer: AMD
 ID: F2 0F 07 00 FF FB 8B 07
 Version: New Processor Technology
 Voltage: 1.1 V
 External Clock: 200 MHz
 Max Speed: 1600 MHz
 Current Speed: 1600 MHz
 Status: Populated, Enabled
 Upgrade: <OUT OF SPEC>
 L1 Cache Handle: 0x0005
 L2 Cache Handle: 0x0006
 L3 Cache Handle: Not Provided
 Serial Number: Not Specified
 Asset Tag: Not Specified
 Part Number: Not Specified

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
 Socket Designation: L1 Cache
 Configuration: Enabled, Not Socketed, Level 1
 Operational Mode: Write Back
 Location: Internal
 Installed Size: 64 KB
 Maximum Size: 64 KB
 Supported SRAM Types:
  Burst
  Pipeline Burst
  Asynchronous
 Installed SRAM Type: Asynchronous
 Speed: Unknown
 Error Correction Type: Unknown
 System Type: Unknown
 Associativity: Unknown

Handle 0x0006, DMI type 7, 19 bytes
Cache Information
 Socket Designation: H0 L2 Cache
 Configuration: Enabled, Not Socketed, Level 2
 Operational Mode: Write Through
 Location: Internal
 Installed Size: 512 KB
 Maximum Size: 1024 KB
 Supported SRAM Types:
  Burst
  Pipeline Burst
  Synchronous
 Installed SRAM Type: Synchronous
 Speed: Unknown
 Error Correction Type: Unknown
 System Type: Unified
 Associativity: Unknown

Ha...

Read more...

rawdmon (raw-dmon) wrote :

I would like to point out that the people complaining about hanging should refer to the following bug:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/272247

I have confirmed that the aperture message was present in the old 2.6.24-21 kernel as well. The only reason that you guys are actually noticing the message now is because the hanging occurs right after it. The aperture message most likely has nothing to do with the system hanging on boot.

Scott (harris-sandn) wrote :

rawdmon,

I have read through that bug a few times, and at least for me, there are a couple key differences. I don't get as far as the splash screen, and pressing a key does nothing to continue the boot process. A the point it happens, I am dead in the water. I will never be able to install Intrepid on this machine to even do updates down the road that fix it.

At this point, my problem seemed to be more rleated to this bug then that one, which why I chose to comment here.

databubble (phil-linttell) wrote :

There is a huge number of people that seem to be having different problems with intrepid, and multi-core amd64.

I have an Asus M3N78-VM motherboard with 4GB RAM and integrated NVIDIA 8200 GPU and dual-core AMD 6000.

I get the following message when booting with Intrepid with every kernel I've tried (2.6.27-4 - 2.6.27-10)

[ 0.004000] Aperture pointing to e820 RAM. Ignoring.
[ 0.004000] Your BIOS doesn't leave a aperture memory hole
[ 0.004000] Please enable the IOMMU option in the BIOS setup
[ 0.004000] This costs you 64 MB of RAM

I get rid of the message, and find the my system is most stable when I boot with iommu=noaperture,memaper=3

However, I reliably get system freezes (blank screen, solid colour), especially when using networking (Atheros wifi chipset, with ath9k driver). The system is solid, even with the accelerated NVIDIA drivers, if I use only a single core (obviously not desirable), by booting with "maxcpus=1"

This freezing I experience is UNRELATED to aperture issue.... I was able to prove this on my system by limiting the memory to less that 4GB and disabling iommu and any aperture.... and I'd still get system freezes (which could be eliminated with maxcpus=1) (In fact some of you may want to try that.... my understanding is that iommu and the aperture is only required for memory >= 4GB... so disable it and try limiting your memory in grub)

For those experiencing the booting problem above, I suggest you try booting
1) with "iommu=noaperture,memaper=3"
2) with "maxcpus=1"
3) with both "iommu=noaperture,memaper=3 maxcpus=1"

and report here if it makes any difference.

KXSwa (kebin-ls-0-7-1) wrote :
Download full text (3.2 KiB)

When I was using Ubuntu 7.04 and then 8.04 x64, I never got any error messages what so ever. In fact, I would say Ubuntu 8.04 x64 is the most OS I've ever used, and have been in love with it.

Recently, I first tried to do an upgrade install from 8.04 x64 to 8.10 x64 using the update system and it would download files. The install was successful, but started getting the "Aperture beyond 4GB. Ignoring." error message, but also I/O error messages when seemed to be mostly about USB devices.

I also noticed 8.10 didn't boot as quickly as 8.04. I then did a clean [w/formatting partitions] install of 8.04 x64 LTS using a CD I got from ubuntu directly, and did a upgrade install from that w/out installing any programs. Same thing happened. I then downloaded the ISO file for Ubuntu 8.10 x64 from ubuntu.com, checked md5sum, and tried clean install with it. Same thing happened.

Oddly, after then clean upgrade install, the Aperture error message at boot then said it wasn't big enough, but I don't remember the exact message.

The I/O error messages I would get after 'aperture beyond 4gb, ignoring', I didn't document them, and don't remember the nature of them, but I was getting multiple I/O errors, which seemed to be mostly about USB devices.

I gave up, and re-installed 8.04 x64 LTS from CD and continued using it. Didn't get any error messages at all from there.

More recently, I discovered Ultimate Edition 2.0 of Ubuntu x64 @ http://ultimateedition.info/
[a couple days later]; and decided to try 8.10 again.

I burnt a blank DVD after verifying the md5sum of DVD ISO file I downloaded for Ultimate Edition Ubuntu 2.0 x64 which is based off of Ubuntu 8.10 x64.

I also updated my BIOS from v13 to v16 for my abit AN-52 motherboard.

The BIOS update didn't seem to help.

However, one of the I/O error messages I noticed when booting was a message something to the effect of: "failed to enumerate usb device". So I disconnected the USB external IDE seagate HDD I use for backups.

After disconnected the USB EXT HDD, and updating the BIOS, I no longer got any I/O error messages or USB error messages.

What's odd about that, is I never have the EXT HDD powered on, only when I use it for backups from time to time; otherwise, it's always powered off.

So, after BIOS update and disconnect of EXT HDD, I installed Ultimate Ubuntu 2.0 x64 w/out error, just as I had done with Ubuntu 8.10; but Ultimate Edition 2.0 x64 seems to be at nearly the same speed as 8.04 did. However, Ultimate Edition was installed after the BIOS update, where my prior attempts at installing 8.10 x64 were before I updated the BIOS.

In any event, I still get the "Aperture beyond 4GB. Ignoring." error message at boot, but at no time has that error seemed to prevent or hang boot, or OS once logged in.

The only BIOS setting that seems to have any relevance, is that the setting for "PCI-E relative items: [is set @=] maximum TLP payload size: "4096"..."

I have attached a text file with a lot of system info in it.

Overall, the BIOS update didn't seem to help much, but I never got any errors w/ 8.04 x64, and could leave my USB 2.0 EXT HDD plugged in, and not powered on, w/out any errors. I haven't te...

Read more...

Venci72 (venci72) wrote :

I think, that Hardy is much stable and much better than Intrepid. 8.10 have too much bugs and this is not good. A month is passed, but this bug (271070) is still not fixed. I made many attempts to resolve this problem on my system, but without success. Because of that I will back to hardy. I will upgrade to intrepid when this bug will be fixed.

paulderol (dr-jackal-mr-hydra) wrote :

add one more. i can boot, but extra memory is ignored. ubuntu does not recognize anything beyond 2gb. i will investigate further in the morning.

uname -a
Linux ********** 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux

I upgraded from 8.04 a few weeks ago and recently bought more ram, which is the cause of my even noticing. I'll play around with it and make sure it isn't a hardware issue, but i already have the ram, and i will use it, one way or another.

Venci--
That's why 8.04 is a LTS release, because it is more reliable overall, at least, that is the premise.

Chris Coulson (chrisccoulson) wrote :

Could those of you who claim that they cannot boot please try booting without "splash" and "quiet" to make the messages on the screen more verbose. This may give a better indication where the boot fails.

There are lots of people experiencing the "Aperture beyond 4GB" message with no other side effects, so perhaps other people are experiencing a different bug.

And paulderol - your problem with memory being ignored is almost certainly not related to this bug. It is either a hardware problem or a separate bug. Please open a new bug report.

Thanks

bwallum (rbw2) wrote :

I get this on an AMD64 x2 5000+ Intrepid rig running 4GB ddr2 ram
(not on machine so no Uname but latest Intrepid 2.6.27-10-generic)

[ 0.004000] Aperture pointing to e820 RAM. Ignoring.
[ 0.004000] Your BIOS doesn't leave a aperture memory hole
[ 0.004000] Please enable the IOMMU option in the BIOS setup
[ 0.004000] This costs you 64 MB of RAM

I get this on an AMD64 x2 4200+ Intrepid rig running 1GB ddr2 ram
uname -a 2.6.27-10-generic #1 SMP Fri Nov 21 19:19:18 UTC 2008 x86_64 GNU/Linux
[ 0.004000] Aperture beyond 4GB. ignoring.

Does different memory size give a different error message, rather than motherboard differences as suggested above?

PlaidRadish (jeff-plaidradish) wrote :

Add another person affected by this bug. I'm getting the "Aperture beyond 4GB...ignoring" message, as well.

Problem: My primary concern is that I am about to triple my memory from 2GB to 6GB this week...I can't run all my vm's without it. How will this affect me? I don't want to find out afterward. Can someone verify that this bug has a simple fix for those of us "non-geek" types?

My lspci:

00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a4)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev f1)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a4)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev f2)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev f3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev f3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev f3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:08.0 VGA compatible controller: ATI Technologies Inc ES1000 (rev 02)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5722 Gigabit Ethernet PCI Express

My dmesg log:

[ 0.010000] Console: colour VGA+ 80x25
[ 0.010000] console [tty0] enabled
[ 0.010000] Checking aperture...
[ 0.010000] No AGP bridge found
[ 0.010000] Node 0: aperture @ 5fe000000 size 32 MB
[ 0.010000] Aperture beyond 4GB. Ignoring.

System has not yet been plagued with unbootable status, but has erratic behavior since upgrading to 8.10 - processes (Synaptic Package Manager and Firefox, in particular) take longer to refresh and close out.

...don't know if this helps...

ukeer (ubuntu-ukeer) wrote :
Download full text (3.8 KiB)

Hi,

System doesnt boot 2.6.27, boots 2.6.24.

noquiet/nosplash attached (sorry, camshot :-)

NB that the the time isnt real, even though it points out 5 minutes waiting time the 299.* all the booting up to that point was done in < 1sec (the clocksource message hints to that, too).

Logmessages from around that point in 2.6.24 are:
[ 22.921231] PCI: Bridge: 0000:00:04.0
[ 22.921288] IO window: e000-efff
[ 22.921346] MEM window: fde00000-fdefffff
[ 22.921404] PREFETCH window: fdf00000-fdffffff
[ 22.921464] PCI: Bridge: 0000:00:14.4
[ 22.921522] IO window: c000-cfff
[ 22.921589] MEM window: fdd00000-fddfffff
[ 22.921649] PREFETCH window: fdc00000-fdcfffff
[ 22.921721] PCI: Setting latency timer of device 0000:00:02.0 to 64
[ 22.921726] PCI: Setting latency timer of device 0000:00:04.0 to 64
[ 22.921740] NET: Registered protocol family 2
[ 22.961551] IP route cache hash table entries: 65536 (order: 7, 524288 bytes)
[ 22.962290] TCP established hash table entries: 262144 (order: 10, 4194304 bytes)
[ 22.964614] TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
[ 22.965218] TCP: Hash tables configured (established 262144 bind 65536)
[ 22.965282] TCP reno registered
[ 22.973559] checking if image is initramfs... it is
[ 23.451400] Freeing initrd memory: 7539k freed

cpuinfo (actually two CPUs shown, but probably redundant):
$ cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 15
model : 107
model name : AMD Athlon(tm) 64 X2 Dual Core Processor 4800+
stepping : 2
cpu MHz : 1000.000
cache size : 512 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 2
fpu : yes
fpu_exception : yes
cpuid level : 1
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
bogomips : 2064.44
TLB size : 1024 4K pages
clflush size : 64
cache_alignment : 64
address sizes : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps

rough lspci:
00:00.0 Host bridge: ATI Technologies Inc RS690 Host Bridge
00:02.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Graphics Port 0)
00:04.0 PCI bridge: ATI Technologies Inc Device 7914
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 13)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opter...

Read more...

Have that message on my laptop too, as well as problems, though booting is fine, waking up from suspend / hibernate causes problems.
Aperture beyond 4GB. Ignoring
Your BIOS doesn't leave a aperture memory hole.
Please enable the IOMMU option in the BIOS setup.
This costs you 64MB of RAM

Sympton is freeze a second or so after waking up (hibernate / suspend). Laptop has had a fresh 8.10 install after purchase in Nov 2008.

System HP Compaq 6715b AMD64 Turion TL62 2,1GHz, 4GB
VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]
Wireless: BCM4312 802.11a/b/g (rev 02)
Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)

https://wiki.ubuntu.com/LaptopTestingTeam/HPCompaq6715b

I believe that the freeze symptom is related to that message, because I found several discussions which point problems/solutions involving IOMMU / AMD64. (mem=4G ,...)
http://lkml.org/lkml/2008/5/25/228
http://thread.gmane.org/gmane.linux.swsusp.general/7777

uname -a
2.6.27-9-generic #1 SMP Thu Nov 20 22:15:32 UTC 2008 x86_64 GNU/Linux

attachments follow

melondrift (shauber) wrote :

I have a gateway GT5674, it has an AMD 9500 Quad 2.2Ghz processor, onboard NVidia 6150SE (I've installed NVidia 7600GS 512M PCIe card hoping it would fix problems with Intrepid, nope, same problems exist with both), 3Gigs Ram.

I've since wiped Intrepid from my computer and am using the Hardy 64Bit install with ZERO problems.

Intrepid was giving me the same message during boot, "aperture beyond 4G... ignoring".

Using the Vesa driver, it would boot, but about 50% of the time I would have to jog the screen size to get the GUI to show up (by pressing the "ctrl-alt-[+or-]" keys). The Desktop panel, widgets, icons and control panel would intermittently discolor, disappear and/or become unfunctional. Video was very glitchy, and online games would freeze unless I kept moving the mouse pointer over the frame making real-time play exasperating.

Installing the proprietary video driver (I've tried using the 173.xx and 177.xx NVidia drivers) helps somewhat (I no longer had to jog the screen size to see the GUI), but only delays the inevitable. My youngest brother is a fan of Microsoft, and while visiting last week he had a good laugh when I went to look something up for him, and lost control of the computer before the web browser had time to load (my computer was already on, so no, I wasn't speed clicking my way to the internet).

I've been through a plethera of forums on this subject, and nobody really seems to know what the problem/problems are. I've tried several things, like messing with Xorg.conf, installing different software packages and the like, but if any of that did help, it wasn't enough to really notice.

Intrepid is a beautiful operating system, and I wish like crazy that I could use it on my computer. Until the bugs are fixed, I'll just use the Hardy. Hardy even seems to load, run and do things faster, if that makes any sense.

If there is somebody who wishes me to re-install Intreped again to grab specs and code for comparison, I will. Perhaps there is something there that could help. Just let me know what to do, and I'll do it. Please remember though, I have only been using Linux for a little over 2 years, so I'm still quite noobish at it.

Funny thing, my older brother is running Intrepid on his machine, and he says that he doesn't have any issues whatsoever with his install. Bizarre 8-P (Yes, I use the MD5Sum to check the integrity of all .iso images before committing them to disk.) I have nearly a dozen successful Linux installs covering a variety of hardware, so I'm not completely Linux illiterate (I am kinda dissed still that the guys pulled the repositories for Feisty, 'cause I have an old frame that runs best on Feisty. Well, that's another story all-together, isn't it.)

I'll get the complete hardware specs for my brothers and my computer and post them, perhaps something will jump out.

Melondrift

melondrift (shauber) wrote :
Download full text (3.7 KiB)

Well, I've asked permission to print my brother's specs and am waiting for a reply, but here is what I've done. I've re-installed Intrepid again, and have taken notes the whole way.

First off, the JJ.zip file attached has a bunch of entries. Most of them have this same command set:

uname -a
dmesg
sudo lspci -vvnn

Break--
My computer specs are: AMD Phenom 9500 quad-core processor that runs at 2.2Ghz on a MCP61PM-GM AM2 Motherboard made by ECS, 3GB RAM that is rated 667Mhz, a 500GB SATA II hard drive, it has NVidia 6150 onboard video GPU clocked at 400Mhz however I have installed an NVidia 7600GS "GO" PCIe x16 card with a GPU clocked at 560 Mhz and 512MB RAM clocked at 400Mhz, and it has a generic DVD RW w/ LabelFlash. If more detail is needed, I'll get it if I can.
End Break--

Now, back to the zipped text files attached. The first one I put together is called "myhardwareishardy.txt", and that one gives the run down on the Hardy installation.

The second file is "myhardwareisintrepidpreupdate.txt" which was written right after the re-boot which was done right after the Intrepid installation, and before I did any updates.

The third file is "myhardwareisintrepidpostupdate.txt" which was written right after the reboot from the update.

After rebooting from the first update, I lost internet connection. I did some simple checking to make sure the LAN was up (it was). I tried connecting a USB/Ethernet Device but still no connection. I then powered completely down (hard boot, not soft) then brought the system back up with the USB Device still attached. When the system came up, the KNetworkManager icon was missing and the USB Device was working (not the onboard Ethernet).

I installed the NVidia Driver 177.xx and did a reboot. The onboard Ethernet started working again, so I removed the USB Device, still no KNetworManager Icon.

The fourth file is "KMixcrashNVidiaInstall.txt" and it was taken from a crash report window that came up during the NVidia Driver install. The KMix manager was still operational and the startup/shutdown audio clips never failed. (Funny thing about that, every time I boot up the intro seems to be snubbed, does that happen to anybody else?)

I installed the KDE Official suite then did a reboot.

The KNetworkManager Icon has come back. I installed the repository for Medibuntu, and installed Firefox with its counterparts and the KUbuntu Extras.

I grabbed Adobe Flash 10 but did not yet install. I rebooted first to make sure the prior two groups had made everything complete.

After rebooting, the GUI froze, so I got a reading and the fifth file is called "guifreeze.txt". I then finished the Adobe install from prompt and rebooted again to clean the slate (and get the GUI back). After thought, perhaps I should have tried using the "/etc/init.d/kdm stop and start" to see what would happen.

After rebooting, I went to an online game that I would like to see working properly, "RuneScape", and sure enough, I have to keep wiggling the mouse over the frame to keep it running. It's like having a hand crank for your monitor, lol.

After having tried the game, I made the last file, "myhardwareisintrepidwhendone.txt".

I ...

Read more...

melondrift (shauber) wrote :

Please forgive my complete stupidity. Nearly everything I've posted has been taken care of. Please read on.

Number one, the boot script, "Aperture beyond 4gb. Ignoring." is simply describing a function which is being implemented during boot.

As for most of the rest of the difficulties I've been experiencing have stemmed from install. At install, all of the eye candy was turned on by default. I have turned them off, and am now running with great stability = satisfaction baby! The eye candy was easily changed under "System Setting --> Desktop --> Desktop Effects" Since doing that, I've not even had a single icon disappear.

I'm sure the rest of the little hickupy things will follow with future updates.

Again, I surely do apologise for all of anybody else's time that I've wasted. (Really kickin' myself in the bootay so that you don't have to.)

If there is a way to strike all of my posts, the web-masters definitely have my permission, as it is quite embarrassing to have so much ignorance coming from one person.

Sincerely,

Melondrift

8200 (8200) wrote :

I can also confirm this bug on my fathers pc running ubuntu 8.10 amd64 (2.6.27-9-generic).

The PC has the following components:
CPU: AMD Athlon 64 X2 6000+
Mainboard: Gigabyte GA-M57SLI-S4, nForce 570 SLI
Videocard: Asus EN8600GT (Geforce), 512MB
Memory: Corsair XMS2 4096MB
HDD: Seagate 500GB SATA II

[ 0.004000] Checking aperture...
[ 0.004000] No AGP bridge found
[ 0.004000] Node 0: aperture @ 20000000 size 32 MB
[ 0.004000] Aperture pointing to e820 RAM. Ignoring.
[ 0.004000] Your BIOS doesn't leave a aperture memory hole
[ 0.004000] Please enable the IOMMU option in the BIOS setup
[ 0.004000] This costs you 64 MB of RAM
[ 0.004000] Mapping aperture over 65536 KB of RAM @ 20000000
[ 0.004000] PM: Registered nosave memory: 0000000020000000 - 0000000024000000
[ 0.004000] Memory: 4046996k/4980736k available (3112k kernel code, 146856k reserved, 1575k data, 536k init)

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

velain (velain-email) wrote :

Same AMD64 (old single core), same problem, no hangs, just message:
[ 0.004000] Checking aperture...
[ 0.004000] No AGP bridge found
[ 0.004000] Node 0: aperture @ 2100000000 size 32 MB
[ 0.004000] Aperture beyond 4GB. Ignoring.

processor: AMD Athlon(tm) 64 Processor 3200+
ram: 1 GB (512 x 2, old ddr400)
Kernel: Ubuntu 2.6.27-11.23-generic
graphic card reported by sysinfo as: GeForce 7300 SE/7200 GS pci-express with 512 MB ram... guess is WRONG, as far as I remember is a AGP card with not much than 128 MB... I can hard-check if interesting.

dmidecode output included (if any help)

Chris Coulson (chrisccoulson) wrote :

Could people experiencing this please try it with the latest Jaunty Alpha 2 live CD, available here: http://cdimage.ubuntu.com/releases/jaunty/alpha-2/. This will enable us to determine if it has been fixed in the newer 2.6.28 series kernel

Thanks in advance.

Changed in linux:
status: Triaged → Incomplete
Scott (harris-sandn) wrote :

I can confirm that with the Alpha 2 release of Mythbuntu 9.04, I was able to boot into the live environment with no errors or hangs. Any attempts with Mythbuntu 8.10 to do the same with this machine would have hung and never booted.

Chris Coulson (chrisccoulson) wrote :

Thanks for testing Scott. It would be nice to have a few more respond to so we know for sure whether this is fixed in Jaunty

tato97 (ta931115) wrote :

Chris, I have same experience as Scott. No problems booting into 9.04 from the CD. However the machine doesn't boot into 8.10.

Are we going to see a kernel patch soon?

zemir (zemir2005) wrote :

I get this message to. Iḿ using Ubuntu 8.10

$ uname -a
Linux networx 2.6.27-9-generic #1 SMP Thu Nov 20 22:15:32 UTC 2008 x86_64 GNU/Linux

zemir (zemir2005) wrote :
zemir (zemir2005) wrote :
zemir (zemir2005) wrote :

Notebook F3KA

AMD Turion 64 X2 TL-64 2x2.2 GHz

ATI Radeon HD2600 512MB dedicated

2x1 GB DDR2

250 GB HDD

Chris Coulson (chrisccoulson) wrote :

As this appears to be fixed in Jaunty, marking as Fix Released

Changed in linux:
status: Incomplete → Fix Released
mmlpoars (marceloleite2604) wrote :

I've got the same error on my PC. The message "Aperture beyond 4GB. Ignoring" was displayed on the screen and the Ubuntu installation freezed.

I solved the problem entering BIOS setup and disabling "USB Bios support", restarted the machine booting from Ubuntu CD and choosed installation once again. The message appeared once again but it keeped loading until successfully start LiveCD for installation... So I guess that the "Aperture" message indicating the problem after all.

Well, I hope this solve your problem!

Waluyo Adi Siswanto (was-wlk) wrote :

I have a new computer AMD64 RAM 1GB, Ubuntu 8.10 AMD64. I have always that message when boot the machine. How to fix it?

Ross Ylitalo (ross-ylitalo) wrote :

I'm getting the same error: "Aperture beyond 4GB. Ignoring." when loading Ubuntu

My System Monitor reports:

Ubuntu
   Release 8.10 (intrepid)
   Kernel Linux 2.6.27-11-generic
   GNOME 2.24.1

Hardware
   Memory: 7.6 GB
   Processor 0: AMD Athlon(tm) 64 X2 Dual Core Processor 6400+
   Processor 1: AMD Athlon(tm) 64 X2 Dual Core Processor 6400+

System Status
   Available disk space: 600.8 GB

Additionally, I am using a MSI DKA790GX Platinum Motherboard.

   Would this have anything to do with me being unable to load a 64 bit Windows 7 into a VirtualBox Machine?

zemir (zemir2005) wrote :

This bug is solved in Ubuntu 9.04 beta and earlier prereleases.

I suggest to upgrade to 9.04 which is very stable on my notebook
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/271070/comments/76

@Ross Ylitalo
Are you using the amd64 version of ubuntu? If not you could not run the 64 bit windows.
It´s also possible that you´re using the 32 bit version of VirtualBox.

melondrift (shauber) wrote :

I agree with Zemir.

My box never did do well with Intrepid. Turns out, my ACPI is partially non-functional including the temp sensor array. I ended up grabbing the temps directly from the junctions to keep things cool in Hardy. Couldn't get anywhere with it using Intrepid. Jaunty must have a much better detection as it had no problems telling what kind of hardware I have. As for the temps in Jaunty, all I had to do was pull up the temperature icon and switch the input method for gathering temperature and the fans kicked in.

I have found some hickups in Jaunty, but they are far fewer and less hair pulling than Intrepid. Although, it is give and take as to whether Jaunty runs better than Hardy.

Luck to y'all,

Melondrift

To post a comment you must log in.